org.keycloak.protocol.saml

## Class SAML2BindingBuilder2.PostBindingBuilder

- java.lang.Object
- - org.keycloak.protocol.saml.SAML2BindingBuilder2.PostBindingBuilder

- Enclosing class:
    SAML2BindingBuilder2<T extends SAML2BindingBuilder2>

      public class SAML2BindingBuilder2.PostBindingBuilder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Document` | `document`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML2BindingBuilder2.PostBindingBuilder(Document document)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `encoded()`
    `Document` | `getDocument()`
    `javax.ws.rs.core.Response` | `request(String actionUrl)`
    `javax.ws.rs.core.Response` | `response(String actionUrl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### document

          protected Document document

  - ### Constructor Detail

    - #### SAML2BindingBuilder2.PostBindingBuilder

          public SAML2BindingBuilder2.PostBindingBuilder(Document document)
                                                  throws org.picketlink.common.exceptions.ProcessingException

      Throws:
        `org.picketlink.common.exceptions.ProcessingException`

  - ### Method Detail

    - #### encoded

          public String encoded()
                         throws org.picketlink.common.exceptions.ProcessingException,
                                org.picketlink.common.exceptions.ConfigurationException,
                                IOException

      Throws:
        `org.picketlink.common.exceptions.ProcessingException`
        `org.picketlink.common.exceptions.ConfigurationException`
        `IOException`

    - #### getDocument

          public Document getDocument()

    - #### request

          public javax.ws.rs.core.Response request(String actionUrl)
                                            throws org.picketlink.common.exceptions.ConfigurationException,
                                                   org.picketlink.common.exceptions.ProcessingException,
                                                   IOException

      Throws:
        `org.picketlink.common.exceptions.ConfigurationException`
        `org.picketlink.common.exceptions.ProcessingException`
        `IOException`

    - #### response

          public javax.ws.rs.core.Response response(String actionUrl)
                                             throws org.picketlink.common.exceptions.ConfigurationException,
                                                    org.picketlink.common.exceptions.ProcessingException,
                                                    IOException

      Throws:
        `org.picketlink.common.exceptions.ConfigurationException`
        `org.picketlink.common.exceptions.ProcessingException`
        `IOException`

Copyright © 2015. All rights reserved.